For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • GETRetrieve bank account guide
      • GETRetrieve bank account guide
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Banks

Retrieve bank account guide

GET
/eor/workers/banks/guide
GET
/rest/v2/eor/workers/banks/guide
$curl https://api.letsdeel.com/rest/v2/eor/workers/banks/guide \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "key": "countryCode",
5 "required": true,
6 "type": "text",
7 "label": "Country",
8 "validations": [
9 {
10 "type": "MIN_LENGTH",
11 "value": "2"
12 }
13 ],
14 "values_allowed": [
15 {
16 "label": "Argentina",
17 "value": "AR"
18 }
19 ]
20 }
21 ]
22}

Returns the bank account form guide for an EOR employee, providing the field structure required to add a new bank account. Token scopes: worker:read

Was this page helpful?
Previous

Retrieve Benefits for Employee

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error